def cria_lista(n, v=0):
    """Cria uma lista com n elementos.
    
    Dado um valor v, que é 0 por padrão,
    devolve uma nova lista com v em todas
    posições de tamanho n.

    Paramêtros:
    - n: tamanho da lista
    - v: valor armazenado (0 por padrão)

    """
    lista = []
    for i in range(n):
        lista.append(v)
    return lista



l = cria_lista(3)
print(l) # [0, 0, 0]
l = cria_lista(3, 42)
print(l)  # [42, 42, 42]
